# Copyright 2018 Yanis Guenane  <yanis@guenane.org>
# Author: Yanis Guenane  <yanis@guenane.org>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import logging

from dcifeeder.products.ansible.components.ansible import AnsibleComponent
from dcifeeder.topic import BaseTopic

logger = logging.getLogger(__name__)


class Ansible(BaseTopic):

    def __init__(self):
        self.version = self.__class__.__name__.replace('Ansible', '')
        # FIXME(fc): find a fix for versions with double digits min|maj version
        self.version = self.version[:-1] + '.' + self.version[-1:]
        self.name = 'Ansible-%s-rpm' % self.version
        super(Ansible, self).__init__()
        self.url = 'http://download-node-02.eng.bos.redhat.com/nightly/ANSIBLE/latest-ANSIBLE-%s-RHEL-7/COMPOSE_ID' % self.version  # noqa
        self.components = [AnsibleComponent(self.url)]


class Ansible26(Ansible):

    def __init__(self):
        super(Ansible26, self).__init__()
