# Copyright (C) 2018 Red Hat, Inc
# Author: Dimitri Savineau <dsavinea@redhat.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from dcifeeder.products.openshift.components.ocp import OCPComponent
from dcifeeder.topic import BaseTopic


class OCP(BaseTopic):

    def __init__(self):
        cname = self.__class__.__name__
        self.name = cname[:3] + '-' + cname[3:4] + '.' + cname[5:]
        super(OCP, self).__init__()
        self.version = self.name[4:]
        self.url = \
            'http://download.eng.bos.redhat.com/rcm-guest/puddles/\
RHAOS/AtomicOpenShift/%s/latest/puddle.repo' % self.version
        self.components = [OCPComponent(self.url)]


class OCP3_10(OCP):

    def __init__(self):
        super(OCP3_10, self).__init__()


class OCP3_11(OCP):

    def __init__(self):
        super(OCP3_11, self).__init__()


class OCP4_0(OCP):

    def __init__(self):
        super(OCP4_0, self).__init__()
